


/* メインビジュアル */

.mainvisual {
    width: 100%;
    height: calc(100vh - 80px);
    background: url("../image/mainvisual.webp") no-repeat center center/cover;
}

.mainvisual_container {
    width: 100%;
    height: calc(100vh - 80px);
    position: relative;
}

.mainvisual_container .mainvisual_title {
    width: 100%;
    font-size: 8vw;
    text-align: center;
    position: absolute;
    top: 40%;
    left: 30%;
    transform: translateX(-50%) translateY(-50%);
}

.mainvisual_text {
    display: inline-block;
    animation: bounce 1s ease-in-out infinite;
    transform-origin: bottom center;
}

@keyframes bounce {

    0%,
    100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-20px);
    }
}


.mainvisual_container .mainvisual_subtitle {
    font-size: 1.5vw;
    letter-spacing: 0.8vw;
    position: absolute;
    top: 50%;
    left: 30%;
    transform: translateX(-50%) translateY(-50%);
}

/* コンテイナー */

section {
    margin: 0 auto 200px;
    padding-top: 50px;
}

section:first-of-type {

    margin-bottom: 0;
    padding-top: 0;
}

.container {
    max-width: 1440px;
    width: 100%;
    margin: 100px auto 150px;
}

.section_title {
    font-size: 36px;
    font-weight: bold;
    text-align: center;
    margin: 100px auto 50px;
}

.section_loren {
    font-size: 16px;
    text-align: center;
    margin: 0 auto 50px;
}

/* アバウトページ */

.about .about_container {
    display: flex;
    flex-wrap: wrap;
}

.about .container .left_wrap {
    width: 53%;
    margin: 0 auto;
    position: relative;
}

.about .container .right_wrap {
    width: 45%;
    margin: 0 auto;
    display: grid;
    place-items: center;
}

.about .container .left_wrap .about_wrap {
    width: 100%;
    height: 100%;
    padding: 15px 30px;
    margin-top: 50px;
    border: 2px solid #000000;
    background: #ffdf88;
    border-radius: 24px;
    display: flex;
    justify-content: center;
    align-items: baseline;
    flex-direction: column;
}


.about .container .left_wrap .about_wrap .about_icon {
    display: block;
    margin: 0 auto;
    border-radius: 100%;
    border: 4px solid #ffffff;
    position: absolute;
    inset: 0;
    top: -60px;
    z-index: 5;
}

.about .container .left_wrap .about_wrap p {
    text-align: left;
    font-size: 16px;
    padding: 5px 5px;
    letter-spacing: 0.04em;
}

.about .container .left_wrap .about_wrap p:first-of-type {
    margin-top: 100px;
}

.about .container .left_wrap .about_wrap .about_comment_titile {
    font-size: 14px;
    width: fit-content;
    display: block;
    font-weight: bold;
    margin: 10px auto 5px 0;
    position: relative;
    margin-bottom: 10px;
}

.about .container .left_wrap .about_wrap .about_comment_titile::after {
    display: block;
    content: "";
    width: 100%;
    height: 1px;
    background: #000;
    position: absolute;
    bottom: 1px;
}

/* ABOUT 右側のコンテンツ */

.about .container .right_wrap .about_list_title {
    font-size: 20px;
    text-align: center;
}

.about .container .right_wrap .links_list {
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: column;
}

.about .container .right_wrap .links_list-item {
    max-width: 375px;
    width: 90%;
    margin: 0 auto;
}

.about .container .right_wrap .links_list-item a {
    border: 1px solid #000;
    width: 100%;
    height: 75px;
    border-radius: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #000;
    transition: all 0.3s;
}

.about .container .right_wrap .links_list-item a:hover {
    background-color: #000;
    color: #fff;
}


.about .container .right_wrap .shikaku_list {
    width: 80%;
    margin: 30px auto 0;
    display: flex;
    justify-content: space-around;
    flex-direction: column;
}

.about .container .right_wrap .shikaku_list .shikaku_list-item {
    border-bottom: 1px solid #000;
    padding: 18px 0 0;
}

.about .container .right_wrap .shikaku_list .shikaku_list-item .sikaku-date {
    display: block;
    font-size: 12px;
    margin-right: 20px;
}

/* 作品集 */

.works .works_list {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 50px;
}

.works .works_list .works_list-item {
    max-width: 384px;
    width: 100%;
    border: 1px solid #000;
    border-radius: 24px;
    transition: all 0.3s;
    z-index: 2;
    position: relative;
    cursor: pointer;
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.works .works_list .works_list-item.visible {
    opacity: 1;
    transform: translateY(0);
}

.works .works_list .works_list-item::before {
    content: "View";
    display: block;
    width: 100%;
    height: 0;
    background: #666666;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-size: 24px;
    font-weight: bold;
    opacity: 0;
    border-radius: 24px 24px 0 0;
    z-index: 3;
    position: absolute;
    inset: 0;
    transition: all 0.4s ease-in;
    cursor: pointer;
}

.works .works_list .works_list-item:hover::before {
    height: 52%;
    opacity: 0.75;
}

.works .works_list .works_list-item::after {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    border-bottom: 8px solid #ffb039;
    opacity: 0;
    border-radius: 0 0 24px 24px;
    z-index: 3;
    position: absolute;
    inset: 0;
    transition: all 0.3s;
}

.works .works_list .works_list-item:hover::after {
    height: 100%;
    opacity: 1;
}



.works .works_list .works_list-item .works_thumbnails {
    width: 100%;
    height: auto;
    aspect-ratio: 16/9;
    display: block;
    border-radius: 24px 24px 0 0;
    z-index: 1;
    border-bottom: 1px solid #000;
}

.works .works_list .works_list-item .works_wrap {
    padding: 10px 20px 20px 20px;
}

.works .works_list .works_list-item .works_wrap .works_header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.works .works_list .works_list-item .works_wrap .works_header .works_date {
    font-size: 14px;
    display: flex;
    justify-items: center;
    align-items: center;
}

.works .works_list .works_list-item .works_wrap .works_header .works_genre {
    font-size: 12px;
    border: 1px solid #ffffff;
    border-radius: 24px;
    padding: 5px 15px;
}

/* ジャンル別 */
.genre_design {
    background: #f369ffdd;
}

.genre_graphics {
    background: #69f5ffdd;
}

.genre_other {
    background: #8cff69dd;
}

.works .works_list .works_list-item .works_wrap .works_title {
    font-size: 22px;
    font-weight: bold;
    margin: 10px 0;
}


.works .works_list .works_list-item .works_wrap .works_caption {
    font-size: 16px;
    letter-spacing: 0.04em;
    line-height: 28px;
    font-feature-settings: "palt";
}

/* コンタクトラップ */

.contact .contact_wrap {
    display: flex;
    justify-content: center;
    align-items: center;
}

.contact .contact_wrap .contact_btn {
    width: fit-content;
    padding: 20px 50px;
    background: #ffffff;
    border: 2px solid #000000;
    border-radius: 32px;
    font-size: 18px;
    font-weight: bold;
    color: #000;
    transition: all 0.3s;
}

.contact .contact_wrap .contact_btn:hover {
    background: #000;
    color: #fff;
}

@media screen and (max-width:842px) {

    .section_loren{
        width: 90%;
    }

    .about .about_container {
        display: block;
    }
    
    .about .container .left_wrap {
        width: 90%;
        margin: 0 auto;
    }

    .about .container .left_wrap .about_wrap .about_icon {
        max-width: 250px;
        width: 60%;
        height: auto;
    }

    .about .container .left_wrap .about_wrap{
        padding-top: 15%;
    }
    
    .about .container .right_wrap {
        width: 100%;
        margin: 0 auto;
    }
    .sikaku-date{
        display: block;
        margin-top: 30px;
    }

    
    .works .works_list .works_list-item {
        width: 90%;
    }
    
}


